ghc-7.10.2: The GHC API

Safe Haskell | None
Language | Haskell2010

SPARC.CodeGen.Expand

Description

Expand out synthetic instructions into single machine instrs.

Synopsis

- expandTop :: NatCmmDecl CmmStatics Instr -> NatCmmDecl CmmStatics Instr

# Documentation

expandTop :: NatCmmDecl CmmStatics Instr -> NatCmmDecl CmmStatics Instr Source

Expand out synthetic instructions in this top level thing